---
outline: deep
footer: false
---

# 快速了解

## 记录灵感

生活常常显得无趣，工作也可能变得麻木。

然而，在某个瞬间，我们可能会诞生一些了不起的想法，却在下一秒将其抛之脑后；

我们可能会发现一些独特的见解，却在下一秒忘记；

我们可能会听到一句醍醐灌顶的话语，却在下一秒忽略。

你是否曾注意到，在某个时刻，我们想评价一个产品、写一篇文章，甚至回复一句话时，突然想到自己曾有过类似的想法、见解，或见过类似的句子，但当下却无法回想起来？

灵感是一种神秘而宝贵的思维火花，带来创造力和创新力，使我们在生活和工作中不断突破和进步。然而，灵感的出现往往是不可预测的，因此我们需要记录。

记录是我们与时间对话的方式，是将一瞬间的真实保存为永恒的手段。无论是生活中的琐事还是重大的历史事件，记录都在其中扮演着不可或缺的角色。通过记录，我们不仅能更好地理解过去，也能为未来积累宝贵的经验和教训。

因此，不要让那些闪现的灵感和思维火花轻易溜走。记录它们，不仅是对自己思考和创造的尊重，更是为未来的自己提供无尽的资源和灵感源泉。



## 编排灵感

灵感需要记录，但是灵感往往都是碎片化的，记录也只是第一步。要让这些宝贵的思维火花真正发挥作用，还需要我们学会编排灵感。

编排灵感，是将零散的点子和想法整理、分类、不日回顾、深入思考，并通过系统化的方式将它们转化为实际行动的过程。

将记录下来的灵感进行整理与分类，可以帮助我们更清晰地看到思维的脉络。但记录只是一种手段，只是记录没有任何意义，我们还需要不断回顾，在回顾中进一步深入思考和延展，最终落于实践。

灵感是我们内心深处的宝藏，而编排灵感是我们发掘和利用这一宝藏的关键。通过记录、整理、回顾、思考、行动、反思，我们可以将灵感落地，反哺我们的工作、生活和创作中。


## What？

`岛屿笔记` 是我和朋友两个人一起创造的一款记录灵感、编排灵感的工具。主要目的就是为了可以让我们随时随地的记录与编排灵感，通过 `岛屿笔记` 让我们能够聚焦 “思考” 本身，无需为 “记录” 烦恼。

![](/img/site/home_light.png)

## 起源

其实我个人是 [Flomo](https://flomoapp.com/) 这个产品的深度用户，使用 `Flomo` 大概有 2-3 年了，也推荐了很多朋友去使用它，我很喜欢这个产品，也很认可创始人 [少楠](https://web.okjike.com/u/7B1385A9-FCC9-4446-B8CE-472EAF6817B2) 的一些理念。但是在产品的某些思考上，我与 `少楠` 的想法是背道而驰的，加上我在长期使用 `Flomo` 中发现的一些问题，稍候我会列出来这些问题点，也不能说是问题，而是对产品的定位不一致，所以我就想自己做一个更贴合自己想法的笔记产品，加上我也是个程序员，还算比较方便！

所以 `岛屿笔记` 是一款站在前人肩膀上的产品，而 `Flomo` 就是它的启蒙，由衷感谢！

> 理念不一致，并不代表产品不好，Flomo 是一款很优秀的产品，大家如果觉得岛屿笔记不符合你的想法，也可以看下 Flomo！

### 定位

`Flomo` 的定位是专注于记录与整理想法，拒绝 All in one，所以它只有简单记录，也不会去做更多延伸。

`岛屿笔记` 是不一样的，它的定位虽然也是一款记录灵感编排灵感的工具，但它的目标是随着不断的记录慢慢去打造一个独属于某个人的私人知识库，它会慢慢的做延伸，也会更繁琐一些。

之所以这样考虑，是因为我很不喜欢想要达到一个目的要使用多种组合工具，国内外的产品太多了，如果我想要记录碎片化灵感，并且有写作需求，那我可能要使用多款工具，国外的产品还好些，但国内的这些工具方大部分都会通过 “数据依赖” 以达到留住用户的目的，使用多种单一产品组合的话体验很差，我很不喜欢。

比如在这之前我使用 `Flomo` 记录灵感，同时我还使用 `Notion` 去写文章，`Notion` 是国外的一款很优秀的笔记产品，相对来说已经比较 open 了，写文章时我可能需要用到碎片化记录的一些内容，虽然 `Flomo` 支持同步 `Notion`，但是毕竟不是一个产品，只是导入 `Notion` 数据并不能很好的帮助我的写作，我需要不停的切换一些产品工具。

我们希望可以做一个以某个点为始慢慢聚焦某个领域的产品，但是我们并不会通过数据 “锁” 住用户，你可以把 `岛屿笔记` 当作一个提供了数据存储、数据操作的功能性平台，数据存储在我们这里，但是数据针对用户个人是完全 open 的，用户不喜欢或者发现了更好用的产品完全可以拿着自己的数据去迁移到另一个产品，用户可以通过 API 的方式取到平台上自己所有的数据去个性化扩展、去迁移，甚至我们会帮助用户去迁移，但如果用户喜欢我们的产品，我们希望可以让用户仅使用我们的产品，就可以处理这个领域内的更多需求。

这里的重点是目标领域，我们聚焦于某个领域，而 `岛屿笔记` 的领域就是 `私人知识库`，通过不断的记录丰富私人碎片化内容，我们的愿景是希望未来有一天，你除了可以使用岛屿笔记记录碎片化内容，还可以直接拿着这些碎片在岛屿笔记里创作，写文章、写书之类。未来我们还会通过 AI 处理私人的碎片化内容，让私人知识库变得更懂自己，甚至慢慢变成一个更趋近于思维上的你的 AI 工具。

但是无论怎样，`私人` 和 `知识库` 永远是我们的核心，我们只会基于这两个内容之上做文章。


### 功能

我们上面说了定位区别，也因为定位，在功能上，`岛屿笔记` 和 `Flomo` 会有很大区别。


#### 编辑器

如果你也使用过 `Flomo` 可能知道，它的编辑框只支持很少的样式，比如加粗、标记之类的，很简单，也很符合 `Flomo` 的产品理念，小而美，专注记录碎片。

但是岛屿不一样，岛屿中记录灵感的模块叫 `缪思`，英文名叫 `MUSE`，取自希腊神话中掌管灵感的 [缪斯](https://baike.baidu.com/item/%E7%BC%AA%E6%96%AF/63445?fr=ge_ala) 女神，岛屿中 `MUSE` 的编辑框支持常见的富文本样式编辑，同时也支持 `Markdown` 语法编辑，用户在使用三方平台或者 API 录入 `MUSE` 时可以使用 `Markdown` 的语法录入，我们会为其转换成目标样式。

可以看到，`MUSE` 的编辑框基本和常见的笔记编辑器一致了，之所以这样做有两个原因：

第一个原因是虽然记录碎片化内容、记录灵感时我们不需要太多样式，只需要能够快速记录，但是我们不能止于记录，记录后我们还需要回顾，在一次次不同时刻的回顾中我们可能会整理、去编辑这段内容，让它更完善，这时，只是记录简单文本信息的需求就不满足我们了，所以，富文本编辑器可以满足我们的编辑需求。

第二个原因上面也提到过，岛屿的愿景是私人知识库，`MUSE` 只是我们的第一步，未来我们还会有笔记模块让我们系统化的编辑长文章，让  `MUSE` 格式和其保持一致，有助于未来在笔记中直接应用 `MUSE` 的碎片化内容，而这些也属于我们产品理念中编排灵感的部分。

岛屿 `MUSE` 中使用的编辑器叫 `IsleEditor`，它是一个所见即所得（ `WYSIWYG` ）的 `Notion Style` 风格编辑器，基于开源编辑器 `ProseMirror` 和 `Tiptap`，未来，经过我们持续不断的完善，在 `MUSE` 编辑器中适配了所有富文本编辑器功能并确保无问题后，我们会上线岛屿的笔记模块，并且也会开源 `IsleEditor`，敬请期待。


#### AI

在使用 `Flomo` 的过程中，前期在记录碎片化内容不多的时候，`Flomo` 的每日回顾给了我很大帮助，它可以让我的记录得以真实，因为我在每天的回顾中就可以不经意间看到我的记录，每日回顾可以轻易命中我想要回顾到的点，但是随着持续不断的记录，内容越来越多，每日回顾就变得可有可无，因为内容过多命中率变得及低，这也是我放弃 `Flomo` 的原因之一。

岛屿的产品思考中，我们设想采用 `AI` 方式来解决这个问题，通过 `AI` 去串联相关的碎片化内容，再回顾时，用户回顾的不再是单一的碎片，而是一系列相关碎片，以此让用户的回顾更成体系、更 “有用”，不只于此，`AI` 的融入可以给产品带来更多思考，包括但不仅限于使用 `AI` 润色碎片、提炼碎片、串联碎片、查找碎片，而这些功能也会逐步的开放上线供大家体验。

除了定时回顾外，岛屿也放置了随机回顾的入口，让用户在闲暇时进入岛屿系统，可以手动触发去回顾一串相关的记录，这些都是为了想方设法的让用户在记录碎片后可以让记录的碎片再次触达用户，得以深思和复盘。

> 更新：Flomo 近期内测了相关笔记的功能，可能也是考虑到了这个问题，这个功能在一定程度上解决了这个问题，我已经体验过了，是很不错的功能，但在体验上有待优化。
